const app = require('./app');
const mongoose = require('mongoose');
const config = require('./config');


const connect = (url) => {
  return mongoose.connect(url, config.db.options);
};

if (process.env.NODE_ENV === 'production') {
  connect(config.db.prod);
  app.listen(config.port);
  mongoose.connection.on('error', console.log);
} else {
  connect(config.db.test);
  app.listen(config.port, () =>
    console.log(`Runnig on the dev environment - PORT: ${config.port}`)
  );
  mongoose.connection.on('error', console.log);
}

module.exports = { connect };
