const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const AutomatedAnswerSchema = mongoose.Schema({
  question: {
    type: Schema.Types.ObjectId,
    ref: 'Question',
    required: true
  },
  stackoverflow: {
    url: {
      type: String
    },
    content: {
      type: String
    },
    status: {
      type: String
    }
  },
  github: [
    {
      type: Schema.Types.ObjectId,
      ref: 'GitHubRepo'
    }
  ],
  youtube: [
    {
      type: String
    }
  ],
  blogs: [
    {
      type: Schema.Types.ObjectId,
      ref: 'BlogArticle'
    }
  ]
});

module.exports = mongoose.model('AutomatedAnswer', AutomatedAnswerSchema);
